gSOAP WS-ReliableMessaging 2.8 Stable

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
SOAP_ENV__Header Struct Reference

Added. More...

`#include <wsa5.h>`

Collaboration diagram for SOAP_ENV__Header:
[legend]

## Public Attributes
struct wsrm__SequenceType * | wsrm__Sequence
int | __sizeAckRequested
struct wsrm__AckRequestedType * | wsrm__AckRequested
int | __sizeSequenceAcknowledgement
struct _wsrm__SequenceAcknowledgement * | wsrm__SequenceAcknowledgement
struct wsrm__SequenceFaultType * | wsrm__SequenceFault
_wsa5__MessageID | wsa5__MessageID
_wsa5__RelatesTo * | wsa5__RelatesTo
_wsa5__From * | wsa5__From
mustUnderstand _wsa5__ReplyTo * | wsa5__ReplyTo
mustUnderstand _wsa5__FaultTo * | wsa5__FaultTo
mustUnderstand _wsa5__To | wsa5__To
mustUnderstand _wsa5__Action | wsa5__Action
struct chan__ChannelInstanceType * | chan__ChannelInstance

## Detailed Description

Added.

## Member Data Documentation

int SOAP_ENV__Header::__sizeAckRequested

int SOAP_ENV__Header::__sizeSequenceAcknowledgement

struct chan__ChannelInstanceType* SOAP_ENV__Header::chan__ChannelInstance

mustUnderstand _wsa5__Action SOAP_ENV__Header::wsa5__Action

mustUnderstand _wsa5__FaultTo* SOAP_ENV__Header::wsa5__FaultTo

_wsa5__From* SOAP_ENV__Header::wsa5__From

_wsa5__MessageID SOAP_ENV__Header::wsa5__MessageID

_wsa5__RelatesTo* SOAP_ENV__Header::wsa5__RelatesTo

mustUnderstand _wsa5__ReplyTo* SOAP_ENV__Header::wsa5__ReplyTo

mustUnderstand _wsa5__To SOAP_ENV__Header::wsa5__To

struct wsrm__AckRequestedType* SOAP_ENV__Header::wsrm__AckRequested

struct wsrm__SequenceType* SOAP_ENV__Header::wsrm__Sequence

struct _wsrm__SequenceAcknowledgement* SOAP_ENV__Header::wsrm__SequenceAcknowledgement

struct wsrm__SequenceFaultType* SOAP_ENV__Header::wsrm__SequenceFault

The documentation for this struct was generated from the following files:

- /Users/engelen/Projects/gsoap/import/wsrx.h
- /Users/engelen/Projects/gsoap/import/wsa5.h